<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Alumnos</title>

  <link href="https://unpkg.com/tailwindcss@^2/dist/tailwind.min.css" rel="stylesheet">
</head>
<body>
  <nav class="bg-gray-800">
    <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
      <div class="flex justify-between items-center">
        <h1 class="text-white font-bold">Alumnos</h1>
        <!-- Button to trigger modal -->
        <button id="modal-open" class="bg-blue-500 text-white font-bold py-2 px-4 rounded focus:outline-none focus:ring-2 focus:ring-blue-700">
          Nuevo
        </button>
      </div>
    </div>
  </nav>

  <!-- Modal -->
  <div id="modal" class="fixed z-10 inset-0 overflow-y-auto hidden">
    <div class="flex items-center justify-center min-h-screen">
      <div class="bg-white p-6 rounded-lg shadow-xl">
        <!-- Modal content -->
        <h2 class="text-lg font-semibold mb-4">Nuevo alumno</h2>
        <form  id="new-student-form">
          <div class="mb-4">
            <label for="nombre" class="block text-gray-700 font-bold mb-2">Nombre:</label>
            <input type="text" id="nombre" name="nombre" class="form-input w-full">
          </div>
          <div class="mb-4">
            <label for="direccion" class="block text-gray-700 font-bold mb-2">Dirección:</label>
            <input type="text" id="direccion" name="direccion" class="form-input w-full">
          </div>
          <div class="mb-4">
            <label for="curso" class="block text-gray-700 font-bold mb-2">Curso:</label>
            <input type="text" id="curso" name="curso" class="form-input w-full">
          </div>
          <div class="text-right">
            <button type="submit" class="bg-blue-500 text-white font-bold py-2 px-4 rounded focus:outline-none focus:ring-2 focus:ring-blue-700">Guardar</button>
            <button id="modal-close" class="bg-gray-300 text-gray-800 font-bold py-2 px-4 rounded ml-2 focus:outline-none focus:ring-2 focus:ring-gray-400">Cancelar</button>
          </div>
        </form>
      </div>
    </div>
  </div>

  <!-- Modal Editar -->
  <div id="modal-editar" class="fixed z-10 inset-0 overflow-y-auto hidden">
    <div class="flex items-center justify-center min-h-screen">
      <div class="bg-white p-6 rounded-lg shadow-xl">
        <!-- Modal content -->
        <h2 class="text-lg font-semibold mb-4">Editar alumno</h2>
        <form  id="edit-student-form">
            <input type="text" id="id-editar" name="id" hidden />     <div class="mb-4">
            <label for="nombre-editar" class="block text-gray-700 font-bold mb-2">Nombre:</label>
            <input type="text" id="nombre-editar" name="nombre" class="form-input w-full">
          </div>
          <div class="mb-4">
            <label for="direccion-editar" class="block text-gray-700 font-bold mb-2">Dirección:</label>
            <input type="text" id="direccion-editar" name="direccion" class="form-input w-full">
          </div>
          <div class="mb-4">
            <label for="curso-editar" class="block text-gray-700 font-bold mb-2">Curso:</label>
            <input type="text" id="curso-editar" name="curso" class="form-input w-full">
          </div>
          <div class="text-right">
            <button type="submit" class="bg-blue-500 text-white font-bold py-2 px-4 rounded focus:outline-none focus:ring-2 focus:ring-blue-700">Guardar</button>
            <button id="modal-close-editar" class="bg-gray-300 text-gray-800 font-bold py-2 px-4 rounded ml-2 focus:outline-none focus:ring-2 focus:ring-gray-400">Cancelar</button>
          </div>
        </form>
      </div>
    </div>
  </div>

  <div class="container mx-auto mt-4">
    <table class="w-full bg-white rounded-lg shadow-md">
      <thead>
        <tr>
          <th class="bg-gray-100 text-gray-600 font-bold uppercase px-4 py-4">ID</th>
          <th class="bg-gray-100 text-gray-600 font-bold uppercase px-4 py-4">Nombre</th>
          <th class="bg-gray-100 text-gray-600 font-bold uppercase px-4 py-4">Dirección</th>
          <th class="bg-gray-100 text-gray-600 font-bold uppercase px-4 py-4">Curso</th>
          <th class="bg-gray-100 text-gray-600 font-bold uppercase px-4 py-4">Acciones</th>
        </tr>
      </thead>
      <tbody>
        ${data.map(dato => `
            <tr>
                <td class="px-4 py-4 border">${dato.id}</td>
                <td class="px-4 py-4 border">${dato.nombre}</td>
                <td class="px-4 py-4 border">${dato.direccion}</td>
                <td class="px-4 py-4 border">${dato.curso}</td>
                <td class="px-4 py-4 border">
                  <button class="bg-yellow-500 text-white font-bold py-2 px-4 rounded-full" onClick="editar(JSON.stringify({id:'${dato.id}',nombre:'${dato.nombre}' ,direccion:'${dato.direccion}' ,curso:'${dato.curso}'}))">Editar</button> 
                  <button class="bg-red-500 text-white font-bold py-2 px-4 rounded-full" onClick="eliminar(JSON.stringify({id:'${dato.id}',nombre:'${dato.nombre}' ,direccion:'${dato.direccion}' ,curso:'${dato.curso}'}))">Eliminar</button> 
                </td>
              
            </tr>
          `).join('')}
        
        
      </tbody>
    </table>
  </div>

  <script>
    // JavaScript to handle modal opening and closing
    const modal = document.getElementById('modal');
    const modalOpenButton = document.getElementById('modal-open');
    const modalCloseButton = document.getElementById('modal-close');

    // Function to open modal
    modalOpenButton.addEventListener('click', function() {
      modal.classList.remove('hidden');
    });

    // Function to close modal
    modalCloseButton.addEventListener('click', function() {
      modal.classList.add('hidden');
    });

    // Prevent modal from closing if clicked outside
    modal.addEventListener('click', function(event) {
      if (event.target === modal) {
        modal.classList.add('hidden');
      }
    });

    // Prevent modal from closing if ESC key is pressed
    document.addEventListener('keydown', function(event) {
      if (event.key === 'Escape') {
        modal.classList.add('hidden');
      }
    });

    // Form submission handling
    const newStudentForm = document.getElementById('new-student-form');

    newStudentForm.addEventListener('submit', function(event) {
      event.preventDefault();

      // Retrieve form data
      const nombre = document.getElementById('nombre').value;
      const direccion = document.getElementById('direccion').value;
      const curso = document.getElementById('curso').value;
      console.log({nombre,direccion,curso})
      // You can perform further actions with the form data here, like adding it to your table
      // For now, let's just log it to the console
      const conf = {
          method: "POST",
          headers: {"Content-Type": "application/json"},
          body: JSON.stringify({ nombre, direccion, curso ,}),
      };
      fetch('/alumnos/nuevo',conf)
      .then(response =>response.text())
      .then(data => {
        alert(data)
        window.location.reload()
      })
      console.log('New Student Data:', { nombre, direccion, curso });

      // Clear form inputs
      document.getElementById('nombre').value = '';
      document.getElementById('direccion').value = '';
      document.getElementById('curso').value = '';

      // Close modal
      modal.classList.add('hidden');
    });

    // JavaScript to handle modal editar opening and closing
    const modalEditar = document.getElementById('modal-editar');
    const modalEditarOpenButton = document.getElementById('modal-editar-open');
    const modalEditarCloseButton = document.getElementById('modal-close-editar');

    // Function to open modal editar
    const editar = (alumno) => {
      modalEditar.classList.remove('hidden');
      const { id, nombre, direccion, curso } = JSON.parse(alumno);
      document.getElementById('id-editar').value = id;
      document.getElementById('nombre-editar').value = nombre;
      document.getElementById('direccion-editar').value = direccion;
      document.getElementById('curso-editar').value = curso;
    };

    // Function to close modal editar
    modalEditarCloseButton.addEventListener('click', function() {
      modalEditar.classList.add('hidden');
    });

    // Prevent modal editar from closing if clicked outside
    modalEditar.addEventListener('click', function(event) {
      if (event.target === modalEditar) {
        modalEditar.classList.add('hidden');
      }
    });

    // Prevent modal editar from closing if ESC key is pressed
    document.addEventListener('keydown', function(event) {
      if (event.key === 'Escape') {
        modalEditar.classList.add('hidden');
      }
    });

    // Form submission handling
    const editStudentForm = document.getElementById('edit-student-form');

    editStudentForm.addEventListener('submit', async function(event) {
      event.preventDefault();

      // Retrieve form data
      const id = document.getElementById('id-editar').value;
      const nombre = document.getElementById('nombre-editar').value;
      const direccion = document.getElementById('direccion-editar').value;
      const curso = document.getElementById('curso-editar').value;
      console.log({nombre,direccion,curso})
      // You can perform further actions with the form data here, like adding it to your table
      // For now, let's just log it to the console
      const conf = {
          method: "POST",
          headers: {"Content-Type": "application/json"},
          body: JSON.stringify({ id, nombre, direccion, curso ,}),
      };
      await fetch('/alumnos/editar',conf)
      .then(response =>response.text())
      .then(data => {
        alert(data)
        window.location.reload()
      })
      console.log('New Student Data:', {id, nombre, direccion, curso });

      // Clear form inputs
      document.getElementById('id-editar').value = '';
      document.getElementById('nombre-editar').value = '';
      document.getElementById('direccion-editar').value = '';
      document.getElementById('curso-editar').value = '';

      // Close modal
      modalEditar.classList.add('hidden');
    });

    const eliminar = (alumno) => {
      console.log(alumno)
    }
  </script>
</body>
</html>
